diff -Nru openmoko-appmanager.orig/ChangeLog openmoko-appmanager/ChangeLog
--- openmoko-appmanager.orig/ChangeLog	2007-04-11 11:43:05.150497856 +0800
+++ openmoko-appmanager/ChangeLog	2007-04-11 12:11:55.337469456 +0800
@@ -1,3 +1,8 @@
+2007-04-11 Chaowei Song <songcw@fic-sh.com.cn>
+	* src/tool-box.c: (on_upgrade_clicked, on_apply_clicked)
+	* src/application-menu.c: (on_install_single_application_activate)
+	Using MokoMessageDialog instead of GtkMessageDialog to show infomation
+
 2007-03-29 Chaowei Song <songcw@fic-sh.com.cn>
 	* src/application-menu.c: (on_install_single_application_activate)
 	Remove unnecessory set a default size to the file chooser dialog.
diff -Nru openmoko-appmanager.orig/src/application-menu.c openmoko-appmanager/src/application-menu.c
--- openmoko-appmanager.orig/src/application-menu.c	2007-04-11 11:43:01.548045512 +0800
+++ openmoko-appmanager/src/application-menu.c	2007-04-11 09:55:22.155022512 +0800
@@ -17,6 +17,7 @@
  *
  *  @author Chaowei Song (songcw@fic-sh.com.cn)
  */
+#include <libmokoui/moko-message-dialog.h>
 
 #include "application-menu.h"
 #include "filter-menu.h"
@@ -78,11 +79,13 @@
 
   if (!package_list_check_marked_list_empty (appdata))
     {
-      confirmdialog = gtk_message_dialog_new (NULL,
-                                              GTK_DIALOG_DESTROY_WITH_PARENT,
-                                              GTK_MESSAGE_QUESTION,
-                                              GTK_BUTTONS_YES_NO,
-                                              _("It will unselect all you selected packages, continue?"));
+      confirmdialog = moko_message_dialog_new ();
+      moko_message_dialog_set_message (MOKO_MESSAGE_DIALOG (confirmdialog),
+                                       _("It will unselect all you selected packages, continue?"));
+      gtk_dialog_add_buttons (GTK_DIALOG (confirmdialog),
+                              "YES", GTK_RESPONSE_YES,
+                              "NO", GTK_RESPONSE_NO,
+                              NULL);
       ret = gtk_dialog_run (GTK_DIALOG (confirmdialog));
       gtk_widget_destroy (confirmdialog);
       if (ret != GTK_RESPONSE_YES)
@@ -151,43 +154,35 @@
     free (newname);
   gtk_widget_destroy (filechooser);
 
+  infodialog = moko_message_dialog_new ();
+  gtk_dialog_add_button (GTK_DIALOG (infodialog),
+                         "OK", GTK_RESPONSE_OK);
   switch (errcode)
     {
       case INSTALL_FAIL:
-        infodialog = gtk_message_dialog_new (NULL,
-                                             GTK_DIALOG_DESTROY_WITH_PARENT,
-                                             GTK_MESSAGE_INFO,
-                                             GTK_BUTTONS_OK,
-                                             _("Fail to install %s, the reason is:\n%s"),
-                                             filename,
-                                             get_error_msg ());
+        moko_message_dialog_set_message (MOKO_MESSAGE_DIALOG (infodialog),
+                                         _("Fail to install %s, the reason is:\n%s"),
+                                         filename,
+                                         get_error_msg ());
         break;
       case INSTALL_SUCCESS:
         filter_menu_show_install_list (appdata);
-        infodialog = gtk_message_dialog_new (NULL,
-                                             GTK_DIALOG_DESTROY_WITH_PARENT,
-                                             GTK_MESSAGE_INFO,
-                                             GTK_BUTTONS_OK,
-                                             _("Install package \"%s\" success"),
-                                             filename);
+        moko_message_dialog_set_message (MOKO_MESSAGE_DIALOG (infodialog),
+                                         _("Install package \"%s\" success"),
+                                         filename);
         break;
       case REINIT_FAIL:
-        infodialog = gtk_message_dialog_new (NULL,
-                                             GTK_DIALOG_DESTROY_WITH_PARENT,
-                                             GTK_MESSAGE_INFO,
-                                             GTK_BUTTONS_OK,
-                                             _("Fail to reinit ipkg, please restart the openmoko-appmanager"));
+        moko_message_dialog_set_message (MOKO_MESSAGE_DIALOG (infodialog),
+                                         _("Fail to reinit ipkg, please restart the openmoko-appmanager"));
         break;
       case LOAD_PKGLIST_FAIL:
-        infodialog = gtk_message_dialog_new (NULL,
-                                             GTK_DIALOG_DESTROY_WITH_PARENT,
-                                             GTK_MESSAGE_INFO,
-                                             GTK_BUTTONS_OK,
-                                             _("Fail to get packages list, please restart the openmoko-appmanager"));
+        moko_message_dialog_set_message (MOKO_MESSAGE_DIALOG (infodialog),
+                                         _("Fail to get packages list, please restart the openmoko-appmanager"));
         break;
       case USER_CANCEL:
 
       default :
+        gtk_widget_destroy (infodialog);
         return;
     }
 
diff -Nru openmoko-appmanager.orig/src/tool-box.c openmoko-appmanager/src/tool-box.c
--- openmoko-appmanager.orig/src/tool-box.c	2007-04-11 11:43:01.546045816 +0800
+++ openmoko-appmanager/src/tool-box.c	2007-04-10 14:59:49.000000000 +0800
@@ -18,6 +18,7 @@
  *  @author Chaowei Song (songcw@fic-sh.com.cn)
  */
 #include <string.h>
+#include <libmokoui/moko-message-dialog.h>
 
 #include "config.h"
 
@@ -42,11 +43,11 @@
   navigation_area_rebuild_from_latest (MOKO_APPLICATION_MANAGER_DATA (data));
 
   g_debug ("Create a dialog");
-  dialog = gtk_message_dialog_new (NULL,
-                                   GTK_DIALOG_DESTROY_WITH_PARENT,
-                                   GTK_MESSAGE_INFO,
-                                   GTK_BUTTONS_OK,
+  dialog = moko_message_dialog_new ();
+  moko_message_dialog_set_message (MOKO_MESSAGE_DIALOG (dialog),
                                    _("Marked all upgradeable packages"));
+  gtk_dialog_add_button (GTK_DIALOG (dialog),
+                         "OK", GTK_RESPONSE_OK);
   gtk_dialog_run (GTK_DIALOG (dialog));
   gtk_widget_destroy (dialog);
   g_debug ("destroy a dialog");
@@ -68,11 +69,11 @@
   if (package_list_check_marked_list_empty (
          MOKO_APPLICATION_MANAGER_DATA (data)))
     {
-      dialog = gtk_message_dialog_new (NULL,
-                                       GTK_DIALOG_DESTROY_WITH_PARENT,
-                                       GTK_MESSAGE_INFO,
-                                       GTK_BUTTONS_OK,
+      dialog = moko_message_dialog_new ();
+      moko_message_dialog_set_message (MOKO_MESSAGE_DIALOG (dialog),
                                        _("No package that has been selected"));
+      gtk_dialog_add_button (GTK_DIALOG (dialog),
+                             "OK", GTK_RESPONSE_OK);
       gtk_dialog_run (GTK_DIALOG (dialog));
       gtk_widget_destroy (dialog);
       return;
